﻿USE compranp;

-- eliminar un procedimiento
DROP PROCEDURE IF EXISTS p1;
-- crea el procedimiento
CREATE PROCEDURE p1( )
BEGIN
  SELECT 1;
  SELECT 2;
END;

-- llamo al procedimiento

CALL p1();


-- OTRA FORMA DE CREAR LOS PROCEDIMIENTOS
-- UTILIZANDO DELIMITER

DROP PROCEDURE IF EXISTS p2;
DELIMITER $$

CREATE PROCEDURE p2()
BEGIN 
  -- instruccion sql
  SELECT 1+2;
END $$

DELIMITER ;

-- utilizar el procedimiento
CALL p2();


-- procedimiento p3
-- crear otro procedimiento
-- EN ESTE PROCEDIMIENTO PASO DOS ARGUMENTOS
-- DE TIPO ENTERO Y LOS SUMO

DROP PROCEDURE IF EXISTS p3;

DELIMITER //

CREATE PROCEDURE p3(numero1 int,numero2 int)
BEGIN
  SELECT numero1+numero2;
END //

DELIMITER ;

-- llamo al procedimiento

CALL p3(22,3);


-- VARIABLES 
-- ALMACEN TEMPORAL DE DATOS

-- CREAR UNA VARIABLE
SET @n1=1;

-- UTILIZO LA VARIABLE 
SELECT @n1;


-- CREAR VARIABLE TIPADA
-- COMO LAS VARIABLES TIPADAS SOLO SE PUEDEN UTILIZAR
-- EN RUTINAS, VOY A CREAR UN PROCEDIMIENTO
DROP PROCEDURE IF EXISTS p4;

DELIMITER //

CREATE PROCEDURE p4()
BEGIN
  -- CREO LA VARIABLE TIPADA
  DECLARE n1 int DEFAULT 0;

  SELECT n1;
END //

DELIMITER ;

-- llamo al procedimiento
CALL p4();



